org.springframework.beans.factory.support

## Interface BeanNameGenerator

- All Known Implementing Classes:
    AnnotationBeanNameGenerator, DefaultBeanNameGenerator

      public interface BeanNameGenerator

  Strategy interface for generating bean names for bean definitions.
  Since:
    2.0.3
  Author:
    Juergen Hoeller

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `generateBeanName(BeanDefinition definition, BeanDefinitionRegistry registry)` Generate a bean name for the given bean definition.

- - ### Method Detail

    - #### generateBeanName

          String generateBeanName(BeanDefinition definition,
                                BeanDefinitionRegistry registry)

      Generate a bean name for the given bean definition.
      Parameters:
        `definition` - the bean definition to generate a name for
        `registry` - the bean definition registry that the given definition is supposed to be registered with
      Returns:
        the generated bean name